com.threerings.parlor.client

## Interface TableService

All Superinterfaces:
  com.threerings.presents.client.InvocationService

All Known Implementing Classes:
  TableMarshaller

    public interface TableService
    extends com.threerings.presents.client.InvocationService

Provides table lobbying services.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.threerings.presents.client.InvocationService

`com.threerings.presents.client.InvocationService.ConfirmListener, com.threerings.presents.client.InvocationService.InvocationListener, com.threerings.presents.client.InvocationService.ResultListener`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `bootPlayer(int tableId, com.threerings.util.Name target, com.threerings.presents.client.InvocationService.InvocationListener listener)` Requests that another user be booted from the specified table.
`void` `createTable(TableConfig tableConfig, GameConfig config, com.threerings.presents.client.InvocationService.ResultListener listener)` Requests that a new table be created.
`void` `joinTable(int tableId, int position, com.threerings.presents.client.InvocationService.InvocationListener listener)` Requests that the current user be added to the specified table at the specified position.
`void` `leaveTable(int tableId, com.threerings.presents.client.InvocationService.InvocationListener listener)` Requests that the current user be removed from the specified table.
`void` `startTableNow(int tableId, com.threerings.presents.client.InvocationService.InvocationListener listener)` Requests that the specified table be started now, even if all seats are not occupied.

### Method Detail

#### createTable

    void createTable(TableConfig tableConfig,
                     GameConfig config,
                     com.threerings.presents.client.InvocationService.ResultListener listener)

Requests that a new table be created.

Parameters:
  `tableConfig` - the table configuration parameters.
  `config` - the game config for the game to be matchmade by the table.
  `listener` - will receive and process the response.

#### joinTable

    void joinTable(int tableId,
                   int position,
                   com.threerings.presents.client.InvocationService.InvocationListener listener)

Requests that the current user be added to the specified table at the specified position.

Parameters:
  `tableId` - the unique id of the table to which this user wishes to be added.
  `position` - the position at the table to which this user desires to be added.
  `listener` - will receive and process the response.

#### leaveTable

    void leaveTable(int tableId,
                    com.threerings.presents.client.InvocationService.InvocationListener listener)

Requests that the current user be removed from the specified table.

Parameters:
  `tableId` - the unique id of the table from which this user wishes to be removed.
  `listener` - will receive and process the response.

#### startTableNow

    void startTableNow(int tableId,
                       com.threerings.presents.client.InvocationService.InvocationListener listener)

Requests that the specified table be started now, even if all seats are not occupied. This will always fail if called by any other player than that seated in position 0 (usually the creator).

#### bootPlayer

    void bootPlayer(int tableId,
                    com.threerings.util.Name target,
                    com.threerings.presents.client.InvocationService.InvocationListener listener)

Requests that another user be booted from the specified table.